std::__detail::_Node_iterator_base< _Value, _Cache_hash_code >(3cxx)

NAME
std::__detail::_Node_iterator_base< _Value, _Cache_hash_code > - Base class for node iterators.

SYNOPSIS

  Public Types

using __node_type = _Hash_node< _Value, _Cache_hash_code >

  Public Member Functions

_Node_iterator_base (__node_type *__p) noexcept
void _M_incr () noexcept

  Public Attributes

__node_type * _M_cur

Detailed Description

  template<typename _Value, bool _Cache_hash_code>
struct std::__detail::_Node_iterator_base< _Value, _Cache_hash_code >" Base class for node iterators.

Definition at line 289 of file hashtable_policy.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.